<%@ Page Language="c#" autoeventwireup="false" Trace="false" Debug="false" %>
<%@ import Namespace="System.Drawing" %>
<%@ import Namespace="System.IO" %>
<%@ import Namespace="System.Drawing.Imaging" %>
<%@ import Namespace="J4L.RChart" %>
<%@ outputcache duration="100" varybyparam="none" %>
<%


string filePrefix="examples\\";
string dataFile="combined2Positions.txt";


if (Request.QueryString["chart"]!=null) dataFile=Request.QueryString["chart"];

	
// size of the chart image		   
int w=500;
int h=500;


// create Chart from data file
ChartLoader loader=new ChartLoader();
loader.loadFromFile(filePrefix+dataFile,false);
Chart chart=loader.build(false,false);

// set size of the chart
chart.setSize(w,h);


// create in memory image
Bitmap inMemoryImage = new Bitmap( chart.getSize().Width,chart.getSize().Height);
Graphics g = Graphics.FromImage(inMemoryImage);
// paint chart
chart.paint(g);


MemoryStream tempStream = new MemoryStream();

// output image to the memory stream in gif format
inMemoryImage.Save(tempStream,ImageFormat.Png);

Response.ClearContent();
Response.Cache.SetCacheability(HttpCacheability.NoCache);
Response.ContentType = "image/png";
Response.BinaryWrite(tempStream.ToArray());
Response.Expires=0;
Response.End();
%>
