<%@ Page Language="c#" autoeventwireup="false" Trace="false" Debug="false" %>
<%@ import Namespace="System.Drawing" %>
<%@ import Namespace="System.IO" %>
<%@ import Namespace="System.Drawing.Imaging" %>
<%@ import Namespace="J4L.RChart" %>
<%@ outputcache duration="100" varybyparam="none" %>
<%
string filePrefix="examples\\";
string dataFile="realtime.txt";


if (Request.QueryString["chart"]!=null) dataFile=Request.QueryString["chart"];


// create Chart from data file
ChartLoader loader=new ChartLoader();
loader.loadFromFile(filePrefix+dataFile,false);


// set size of the chart
// size of the chart image		   
int w=500;
int h=500;


// create chart

// set initial valu of the X Axis based on the time

loader.setParameter("XAXIS_INITIAL_DATE",DateTime.Now.ToString("dd-MMM-yyyy hh:mm:ss"));


// create random data based on the time
DateTime d=DateTime.Now;
String data1="";
String data2="";
for (int i=0;i<9;i++) {		
    d=d.AddSeconds(-2);
	if (data1.Length>0) data1="|" + data1;
	data1=""+d.Second+ data1;
	if (data2.Length>0) data2="|" + data2;
	data2=""+(d.Second/6)+ data2;		
}


loader.setParameter("SERIE_DATA_1",data1);
loader.setParameter("SERIE_DATA_2",data2);





Chart chart=loader.build(false,false);

// set size of the chart
chart.setSize(w,h);

// create in memory image
Bitmap inMemoryImage = new Bitmap( chart.getSize().Width,chart.getSize().Height);
Graphics g = Graphics.FromImage(inMemoryImage);
// paint chart
chart.paint(g);


MemoryStream tempStream = new MemoryStream();

// output image to the memory stream in gif format
inMemoryImage.Save(tempStream,ImageFormat.Png);

Response.ClearContent();
Response.Cache.SetCacheability(HttpCacheability.NoCache);
Response.ContentType = "image/png";
Response.BinaryWrite(tempStream.ToArray());
Response.Expires=0;
Response.End();


%>
