// created on 10/07/2003 at 23:08
using System;
using System.Drawing;
using System.Windows.Forms;

namespace J4L.RChart {
	public class ChartViewer : System.Windows.Forms.Form
	{
		private J4L.RChart.ChartControl panel;
		
   		// Create an empty MainMenu.
   		MainMenu mainMenu1 = new MainMenu();

		MenuItem menuFile = new MenuItem();
		MenuItem menuExamples = new MenuItem();
		MenuItem menuExamples2 = new MenuItem();
   		MenuItem menuLoad = new MenuItem();
   		MenuItem menuSave = new MenuItem();
   		MenuItem menuExit = new MenuItem();
		
		MenuItem menuExample0 = new MenuItem();
		MenuItem menuExample1 = new MenuItem();
		MenuItem menuExample2 = new MenuItem();
		MenuItem menuExample3 = new MenuItem();
		MenuItem menuExample4 = new MenuItem();
		MenuItem menuExample5 = new MenuItem();
		MenuItem menuExample6 = new MenuItem();
		MenuItem menuExample7 = new MenuItem();
		MenuItem menuExample8 = new MenuItem();
		MenuItem menuExample9 = new MenuItem();
		MenuItem menuExample10 = new MenuItem();
		MenuItem menuExample11 = new MenuItem();
		MenuItem menuExample12 = new MenuItem();		
		MenuItem menuExample13 = new MenuItem();
		MenuItem menuExample14 = new MenuItem();
		MenuItem menuExample15 = new MenuItem();
		
		MenuItem menuExample2_0 = new MenuItem();
		MenuItem menuExample2_1 = new MenuItem();
		MenuItem menuExample2_2 = new MenuItem();
		MenuItem menuExample2_3 = new MenuItem();
		MenuItem menuExample2_4 = new MenuItem();
		MenuItem menuExample2_5 = new MenuItem();
		MenuItem menuExample2_6 = new MenuItem();
		MenuItem menuExample2_7 = new MenuItem();
		MenuItem menuExample2_8 = new MenuItem();
		MenuItem menuExample2_9 = new MenuItem();
		MenuItem menuExample2_10 = new MenuItem();
		MenuItem menuExample2_11 = new MenuItem();
		MenuItem menuExample2_12 = new MenuItem();
		MenuItem menuExample2_13 = new MenuItem();
		MenuItem menuExample2_14 = new MenuItem();
		MenuItem menuExample2_15 = new MenuItem();
		MenuItem menuExample2_16 = new MenuItem();
		MenuItem menuExample2_17 = new MenuItem();
		MenuItem menuExample2_18 = new MenuItem();
		MenuItem menuExample2_19 = new MenuItem();
				
		
		public ChartViewer()
		{
			InitializeComponent();
			CreateMainMenu();
			createDefaultChart();
		}
		
		// THIS METHOD IS MAINTAINED BY THE FORM DESIGNER
		// DO NOT EDIT IT MANUALLY! YOUR CHANGES ARE LIKELY TO BE LOST
		void InitializeComponent() {
			this.panel = new J4L.RChart.ChartControl();
			this.SuspendLayout();
			// 
			// panel
			// 
			this.panel.Location = new System.Drawing.Point(0, 0);
			this.panel.Name = "panel";
			this.panel.Size = new System.Drawing.Size(550, 450);
			this.panel.TabIndex = 0;			
			// 
			// CreatedForm
			// 
			this.ClientSize = new System.Drawing.Size(550,450);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
						this.panel});
			this.Text = "Chart viewer";

			this.ResumeLayout(false);
		}
		
		
	public void CreateMainMenu()
	{

  		menuLoad.Text = "Load Chart";
  		menuSave.Text = "Save Png";
  		menuExit.Text = "Quit";
		menuFile.Text="File";
		menuExamples.Text="API Examples";
		menuExamples2.Text="Chart Loader Examples";
		
		menuExample0.Text="Bars, scroll, tips ...";
		menuExample1.Text="Linechart (clipped)";
		menuExample2.Text="Horiz. Bars";
		menuExample3.Text="Piechart";
		menuExample4.Text="Piechart 3D";
		menuExample5.Text="Areachart (transparency)";
		menuExample6.Text="Barchart";
		menuExample7.Text="Stackbars";
		menuExample8.Text="Barchart 3D";
		menuExample9.Text="Linechart 3D";
		menuExample10.Text="Combined";
		menuExample11.Text="OCHL";		
		menuExample12.Text="Radarchart";
		menuExample13.Text="Bubblechart";
		menuExample14.Text="Max./Min.";
		menuExample15.Text="Curves";
		
		menuExample2_0.Text="Target zones";
		menuExample2_1.Text="Pattern filling and labels";
		menuExample2_2.Text="Several Y axis and zones";
		menuExample2_3.Text="Stacked charts";
		menuExample2_4.Text="4 charts";
		menuExample2_5.Text="Combined (with 2 Y axis and position tip)";
		menuExample2_6.Text="Curves";
		menuExample2_7.Text="Realtime (with time axis)";
		menuExample2_8.Text="Scatterchart (with frame axis)";
		menuExample2_9.Text="Drill down piechart";
		menuExample2_10.Text="Barchart with labels and images";
		menuExample2_11.Text="Radarchart";
		menuExample2_12.Text="Linechart with null values";
		menuExample2_13.Text="Barchart";
		menuExample2_14.Text="X Axis on top (with Tips)";
		menuExample2_15.Text="Linechart (clickable points)";
		menuExample2_16.Text="Areachart (log scale and gradient filling)";
		menuExample2_17.Text="Areachart (multiline axis labels)";
		menuExample2_18.Text="Events (dates on axis)";
		menuExample2_19.Text="Linechart 3D (rotated scale labels)";
				
		
		menuExamples.MenuItems.Add(menuExample0);
		menuExamples.MenuItems.Add(menuExample1);
		menuExamples.MenuItems.Add(menuExample2);
		menuExamples.MenuItems.Add(menuExample3);
		menuExamples.MenuItems.Add(menuExample4);
		menuExamples.MenuItems.Add(menuExample5);
		menuExamples.MenuItems.Add(menuExample6);
		menuExamples.MenuItems.Add(menuExample7);
		menuExamples.MenuItems.Add(menuExample8);
		menuExamples.MenuItems.Add(menuExample9);
		menuExamples.MenuItems.Add(menuExample10);
		menuExamples.MenuItems.Add(menuExample11);
		menuExamples.MenuItems.Add(menuExample12);
		menuExamples.MenuItems.Add(menuExample13);
		menuExamples.MenuItems.Add(menuExample14);
		menuExamples.MenuItems.Add(menuExample15);
		
		menuExamples2.MenuItems.Add(menuExample2_0);
		menuExamples2.MenuItems.Add(menuExample2_1);
		menuExamples2.MenuItems.Add(menuExample2_2);
		menuExamples2.MenuItems.Add(menuExample2_3);
		menuExamples2.MenuItems.Add(menuExample2_4);
		menuExamples2.MenuItems.Add(menuExample2_5);
		menuExamples2.MenuItems.Add(menuExample2_6);
		menuExamples2.MenuItems.Add(menuExample2_7);
		menuExamples2.MenuItems.Add(menuExample2_8);
		menuExamples2.MenuItems.Add(menuExample2_9);
		menuExamples2.MenuItems.Add(menuExample2_10);
		menuExamples2.MenuItems.Add(menuExample2_11);
		menuExamples2.MenuItems.Add(menuExample2_12);
		menuExamples2.MenuItems.Add(menuExample2_13);
		menuExamples2.MenuItems.Add(menuExample2_14);
		menuExamples2.MenuItems.Add(menuExample2_15);
		menuExamples2.MenuItems.Add(menuExample2_16);
		menuExamples2.MenuItems.Add(menuExample2_17);
		menuExamples2.MenuItems.Add(menuExample2_18);
		menuExamples2.MenuItems.Add(menuExample2_19);
		
   		// Add two MenuItem objects to the MainMenu.
   		mainMenu1.MenuItems.Add(menuFile);
		mainMenu1.MenuItems.Add(menuExamples);
		mainMenu1.MenuItems.Add(menuExamples2);
   		menuFile.MenuItems.Add(menuLoad);
   		menuFile.MenuItems.Add(menuSave);
   		menuFile.MenuItems.Add(menuExit);
		
		menuLoad.Click += new System.EventHandler(this.menuLoad_Click);
		menuSave.Click += new System.EventHandler(this.menuSave_Click);
		menuExit.Click += new System.EventHandler(this.menuExit_Click);
		
		menuExample0.Click += new System.EventHandler(this.menuExample_Click);
		menuExample1.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2.Click += new System.EventHandler(this.menuExample_Click);
		menuExample3.Click += new System.EventHandler(this.menuExample_Click);
		menuExample4.Click += new System.EventHandler(this.menuExample_Click);
		menuExample5.Click += new System.EventHandler(this.menuExample_Click);
		menuExample6.Click += new System.EventHandler(this.menuExample_Click);
		menuExample7.Click += new System.EventHandler(this.menuExample_Click);
		menuExample8.Click += new System.EventHandler(this.menuExample_Click);
		menuExample9.Click += new System.EventHandler(this.menuExample_Click);
		menuExample10.Click += new System.EventHandler(this.menuExample_Click);
		menuExample11.Click += new System.EventHandler(this.menuExample_Click);
		menuExample12.Click += new System.EventHandler(this.menuExample_Click);
		menuExample13.Click += new System.EventHandler(this.menuExample_Click);
		menuExample14.Click += new System.EventHandler(this.menuExample_Click);
		menuExample15.Click += new System.EventHandler(this.menuExample_Click);
		
		menuExample2_0.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_1.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_2.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_3.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_4.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_5.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_6.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_7.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_8.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_9.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_10.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_11.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_12.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_13.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_14.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_15.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_16.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_17.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_18.Click += new System.EventHandler(this.menuExample_Click);
		menuExample2_19.Click += new System.EventHandler(this.menuExample_Click);

   
   		// Bind the MainMenu to Form1.
   		Menu = mainMenu1;   
	}
		
		
	protected override void OnResize(   EventArgs e)	
		{   
			
		base.OnResize(e);
		this.panel.Size = new System.Drawing.Size(this.ClientSize.Width, this.ClientSize.Height);
		this.Refresh();	
	}

	private void menuExample_Click(object sender, System.EventArgs e)	
	{ 
		loadNewChart(sender,null);
	}
		
	public void loadNewChart(object sender,string chartfile)	
	{ 		
		Chart c=null;
		if (sender==this.menuExample0) { 
			createDefaultChart();
			Refresh();
			return;
		}
		if (sender==this.menuExample1) c=ChartExamples.Example1();
		if (sender==this.menuExample2)  c=ChartExamples.Example2();
		if (sender==this.menuExample3)  c=ChartExamples.Example3();
		if (sender==this.menuExample4)  c=ChartExamples.Example4();
		if (sender==this.menuExample5)  c=ChartExamples.Example5();
		if (sender==this.menuExample6)  c=ChartExamples.Example6();
		if (sender==this.menuExample7)  c=ChartExamples.Example7();
		if (sender==this.menuExample8)  c=ChartExamples.Example8();
		if (sender==this.menuExample9)  c=ChartExamples.Example9();
		if (sender==this.menuExample10)  c=ChartExamples.Example10();
		if (sender==this.menuExample11)  c=ChartExamples.Example11();
		if (sender==this.menuExample12)  c=ChartExamples.Example12();
		if (sender==this.menuExample13)  c=ChartExamples.Example13();
		if (sender==this.menuExample14)  c=ChartExamples.Example14();
		if (sender==this.menuExample15)  c=ChartExamples.Example15();
		
		
		if (sender==this.menuExample2_0)  c=loadChartFromFile("examples2\\targetZones.txt");
		if (sender==this.menuExample2_1)  c=loadChartFromFile("examples2\\patternFilling.txt");
		if (sender==this.menuExample2_2)  c=loadChartFromFile("examples2\\MultiAxis.txt");
		if (sender==this.menuExample2_3)  c=loadChartFromFile("examples2\\StackedMultiAxis.txt");
		if (sender==this.menuExample2_4)  c=loadChartFromFile("examples2\\MultiCharts.txt");
		if (sender==this.menuExample2_5)  c=loadChartFromFile("examples2\\combined2Positions.txt");
		if (sender==this.menuExample2_6)  c=loadChartFromFile("examples2\\areaCurves.txt");
		if (sender==this.menuExample2_7)  {
			ChartLoader cha=panel.getChartLoader();			
			cha.clearParams();	
			cha.loadFromFile("examples2\\realtime.txt",true);
			AdapterRealtime.createRealtimedata(cha);
			c=panel.buildChart();								
		}
		
		if (sender==this.menuExample2_8)  c=loadChartFromFile("examples2\\scatterChart.txt");
		if (sender==this.menuExample2_9)  c=loadChartFromFile("examples2\\PieDrillDown.txt");
		if (sender==this.menuExample2_10)  c=loadChartFromFile("examples2\\barImages.txt");
		if (sender==this.menuExample2_11)  c=loadChartFromFile("examples2\\radarChart.txt");
		if (sender==this.menuExample2_12)  c=loadChartFromFile("examples2\\linechartNULLS.txt");
		if (sender==this.menuExample2_13)  c=loadChartFromFile("examples2\\barChart.txt");
		if (sender==this.menuExample2_14)  c=loadChartFromFile("examples2\\axisOnTop.txt");
		if (sender==this.menuExample2_15)  c=loadChartFromFile("examples2\\linechart.txt");
		if (sender==this.menuExample2_16)  c=loadChartFromFile("examples2\\areaChartLog.txt");
		if (sender==this.menuExample2_17)  c=loadChartFromFile("examples2\\areaChart.txt");
		if (sender==this.menuExample2_18)  c=loadChartFromFile("examples2\\event.txt");
		if (sender==this.menuExample2_19)  c=loadChartFromFile("examples2\\linechart3D.txt");
		if (chartfile!=null) c=loadChartFromFile(chartfile);
		

		// set clicked point listener
		if (sender==this.menuExample2_15) {
				c.addChartListener(new MyChartAdapter(c));
				c.activateSelection=true;
				panel.changePointer=true;
		}
			
			// set listener for drill down example
			if (sender==this.menuExample2_9){
				c.addChartListener(new AdapterDrillDown(c,this));
				c.activateSelection=true;
				panel.changePointer=true;				
		}
			
			// set listener for realtime update example
			if (sender==this.menuExample2_7) c.addChartListener(new AdapterRealtime(c));
			
		this.panel.getChart().stopUpdater();
		// stop update thread of previous chart		
		
		if (c!=null) {			
			this.panel.setChart(c);
			Refresh();			
		}
			
		// real time update example, start update thread
		if (sender==this.menuExample2_7)  c.startUpdater();			
		
		

			
	}
	
	private void menuSave_Click(object sender, System.EventArgs e) {
		panel.getChart().saveToFile("chart.png","PNG");
		MessageBox.Show("Chart saved to chart.png");
	}
	
	private void menuLoad_Click(object sender, System.EventArgs e)
	{    
				
		OpenFileDialog openFileDialog1 = new OpenFileDialog();

    	openFileDialog1.InitialDirectory =System.Environment.CurrentDirectory ;
    	openFileDialog1.Filter = "txt files (*.txt)|*.txt|All files (*.*)|*.*" ;
    	openFileDialog1.FilterIndex = 2 ;
    	openFileDialog1.RestoreDirectory = true;

   		if(openFileDialog1.ShowDialog() == DialogResult.OK) {

			string fileChart=openFileDialog1.FileName;;
   			
   			
			ChartLoader cha=panel.getChartLoader();  
			cha.loadFromFile(fileChart,true);
   			Chart c=panel.buildChart();

   			this.Refresh();
		
   		}
   
	}

	private void menuExit_Click(object sender, System.EventArgs e)
	{    
      this.Hide();
	}
		
	
	public Chart loadChartFromFile(string file) {

	ChartLoader cha=panel.getChartLoader();			
	cha.clearParams();	
	cha.loadFromFile(file,true);
	return panel.buildChart();		
	}
		
	public void createDefaultChart() {



	ChartLoader cha=panel.getChartLoader();			
	cha.clearParams();	

		
	
	cha.setParameter("TITLECHART","Sales 2002");
	cha.setParameter("XLABEL","Month");
	cha.setParameter("YLABEL","Million $");
	cha.setParameter("XSCALE_MIN","0");
	cha.setParameter("XSCALE_MAX","5.5");
	cha.setParameter("YSCALE_MIN","-15");
	cha.setParameter("BIG_TICK_INTERVALX","1");
	cha.setParameter("BIG_TICK_INTERVALY","10");
	cha.setParameter("XAXIS_LABELS","June|July|Aug.|Sept.|Oct.|Nov.|Dec.");
	cha.setParameter("CERO_XAXIS","LINE");
	cha.setParameter("YAXIS_INTEGER","TRUE");
	cha.setParameter("SERIE_1","Products");
	cha.setParameter("SERIE_2","Services");
	cha.setParameter("SERIE_TYPE_1","BAR");
	cha.setParameter("SERIE_TYPE_2","BAR");
	cha.setParameter("SERIE_FONT_1","Arial|PLAIN|8");
	cha.setParameter("SERIE_FONT_2","Arial|BOLD|8");
	cha.setParameter("BOTTOM_MARGIN","0.18");

	cha.setParameter("SERIE_DATA_2","-10|41|48|39|36");
	cha.setParameter("SERIE_BORDER_TYPE_1","RAISED");
	cha.setParameter("SERIE_BORDER_TYPE_2","RAISED");
	cha.setParameter("SERIE_BAR_STYLE_1","ff00");
	cha.setParameter("SERIE_BAR_STYLE_2","ff");
	cha.setParameter("BARCHART_BARSPACE","1");
	cha.setParameter("LEFT_MARGIN","0.15");
	cha.setParameter("CHART_FILL","ffcc00");
	cha.setParameter("SERIE_NEGATIVE_STYLE_2","RED");
	cha.setParameter("YLABEL_VERTICAL","TRUE");
	cha.setParameter("SERIE_DATA_1","12|43|50|45|30");
	//	cha.setParameter("SERIE_DATA_1","12|12|12|12|12");
	cha.setParameter("SERIE_TIPS_1","12|43|50|45|30");
	cha.setParameter("SERIE_TIPS_2","-10|41|48|39|36");
	cha.setParameter("CHART_SHOW_TIPS","true");
	cha.setParameter("BARCHART_BARSPACE","5");
	cha.setParameter("SERIE_FORMAT_1","0");
		
	cha.setParameter("SERIE_LINKS_1","http://www.java4less.com|http://www.java4less.com|http://www.java4less.com|http://www.java4less.com|http://www.java4less.com");
			
	//cha.setParameter("XAXIS_VERTICAL_LABELS","TRUE");
	cha.setParameter("CHART_TRIGGER_EVENTS","true");			
			
	//cha.setParameter("SERIE_DATA_1","ODBC:Select * from SalesMonth Order by salesMonth DESC");
	//cha.setParameter("ODBC_DATABASE","Driver=Microsoft Access Driver (*.mdb);dbq=c:\\j4l\\rchart\\servletData.mdb");

	cha.setParameter("CHART_WIDTH","700");						
	//cha.setParameter("CHART_HEIGHT","700");						


	Chart c=panel.buildChart();

	//	c.saveToFile("c:\\a.png","PNG");
	
				
		}
		
		
		/**
		 * this will be executed when the user click on a bar
		 */
		public void userClick(String serie,int point)
		{
		   Console.WriteLine(" " +serie+" "+point);
		}
			
		
	}
	
	// create chart listener 
	internal class  MyChartAdapter:ChartAdapter {
		   Chart c=null;
		   
		   public MyChartAdapter(Chart c) {
		   	this.c=c;	
		   }
		
			public override void chartEvent(Chart c,int type) {
						if (type==Chart.EVENT_POINT_CLICKED) {
							MessageBox.Show("You just clicked on series "+ c.selectedSerie.name.ToUpper() + " point "+ (c.selectedSeriePoint+1));
						}
						
						// rebuild chart with new data
						if (type==Chart.EVENT_BEFORE_UPDATE) {
							// // get a new random value between 0 and 40 and update 3 of the values in the serie
							int newValue=(int) (DateTime.Now.Ticks % 40); 
							c.Plotters[0].getSerie(0).replaceYValueAt(1,newValue);
							c.Plotters[0].getSerie(0).replaceYValueAt(2,newValue+10);
							c.Plotters[0].getSerie(0).replaceYValueAt(3,newValue-10);							

							// do not allow the chart to be rebuilt from the original parameters
							c.autoRebuild=false;
							
							// an alternative would be:
							// set new parameter
							//c.loader.setParameter("SERIE_DATA_1","10|20|30 ....");
							// rebuild chart from parameters
							// c.autoRebuild=true;
												
				}						
						
	}
	}
				
	// create chart listener for the drill down chart
	internal class  AdapterDrillDown:ChartAdapter {
		   Chart c=null;
		   ChartViewer chartViewer=null;
		   
		   public AdapterDrillDown(Chart c,ChartViewer cw) {
		   	this.c=c;	
		   	this.chartViewer=cw;
		   }	

			public override void chartEvent(Chart c,int type) {
				// load subchart
				if (type==Chart.EVENT_POINT_CLICKED) {		
						if (c.selectedSeriePoint==0) chartViewer.loadNewChart(null,"examples2/subpie1.txt");
						else if (c.selectedSeriePoint==1) chartViewer.loadNewChart(null,"examples2/subpie2.txt");
						else if (c.selectedSeriePoint==2) chartViewer.loadNewChart(null,"examples2/subpie3.txt");		
				}						
			}
	}
	
	// create chart listener for the drill down chart
	internal class  AdapterRealtime:ChartAdapter {
		   Chart c=null;
		   
		   public AdapterRealtime(Chart c) {
		   		this.c=c;	
		   }	
			
			public override void chartEvent(Chart c,int type) {
				// load subchart

				if (type==Chart.EVENT_BEFORE_UPDATE) createRealtimedata(c.loader);		   			
		   }
		   
		/**
		* this method creates realtime data for the realtime example every 2 seconds
	 	*
	 	*/
   		public static void createRealtimedata(ChartLoader loader) {
			//	create chart
			
			
			try {
			//	set initial valu of the X Axis based on the time
			loader.setParameter("XAXIS_INITIAL_DATE",DateTime.Now.ToString("dd-MM-yyyy hh:mm:ss"));


			//	create random data based on the time
			DateTime cal=DateTime.Now;
			String data1="";
			String data2="";
			for (int i=0;i<9;i++) {		
				cal=cal.AddSeconds(-2);
				if (data1.Length>0) data1="|" + data1;
				data1=""+cal.Second+ data1;
				if (data2.Length>0) data2="|" + data2;
				data2=""+(cal.Second/6)+ data2;		
			}

			loader.setParameter("SERIE_DATA_1",data1);
			loader.setParameter("SERIE_DATA_2",data2);
			} catch (Exception e) {
					Console.WriteLine("Error creating data " + e.Message);
			}

   		}		   
	}
	
	}
